Source: liboggz
Section: net
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
 , Martin Steghöfer <martin@steghoefer.eu>
 , Ralph Giles <giles@thaumas.net>
Build-Depends: debhelper-compat (= 12)
 , libogg-dev
 , doxygen
 , docbook-to-man
 , libtool
 , bash-completion (>= 1.1)
 , pkg-config
 , vorbis-tools <!nocheck>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/liboggz.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/liboggz
Homepage: https://xiph.org/oggz/

Package: liboggz2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: convenience interface for Ogg stream I/O
 Oggz provides a simple programming interface for reading and writing
 Ogg files and streams.
 .
 liboggz supports the flexibility afforded by the Ogg file format while
 presenting the following API niceties:
 .
  * Strict adherence to the formatting requirements of Ogg bitstreams,
    to ensure that only valid bitstreams are generated.
  * A simple, callback based open/read/close or open/write/close interface
    to raw Ogg files.
  * A customisable seeking abstraction for seeking on multitrack Ogg data.
  * A packet queue for feeding incoming packets for writing, with callback
    based notification when this queue is empty.
  * A handy table structure for storing information on each logical
    bitstream.

Package: liboggz2-dev
Section: libdevel
Architecture: any
Depends: liboggz2 (= ${binary:Version}), ${misc:Depends}, libc6-dev, libogg-dev
Provides: liboggz-dev
Conflicts: liboggz-dev
Description: convenience interface for Ogg stream I/O (development files)
 Oggz provides a simple programming interface for reading and writing
 Ogg files and streams.
 .
 This package contains the header files, static libraries, and stream
 debugging tools required for developing applications that use Oggz.

Package: oggz-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for mangling Ogg streams
 Oggz provides a simple programming interface for reading and writing
 Ogg files and streams.
 .
 This package contains some utilities useful for debugging and tweaking
 Ogg streams, using liboggz
